Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master
Class MatchFieldChange

    java.lang.Object
      com.sun.mdm.index.master.MatchFieldChange

public class MatchFieldChange
extends java.lang.Object

Utility class to determine if a match field has changed

Constructor Summary
`MatchFieldChange()` Creates a new instance of MatchFieldChange

Method Summary
`java.lang.Object[]` | `getMatchFields(EnterpriseObject obj)` Retrieves the match fields from an Enterprise Object.
`void` | `getObjectKeys(EnterpriseObject obj)` Retrieves all object keys for an Enterprise Object.
`boolean` | `isMatchFieldChanged(java.lang.Object[] obj1, java.lang.Object[] obj2)` Determine if a match field has changed in two enterprise objects

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchFieldChange

    public MatchFieldChange()

  Creates a new instance of MatchFieldChange

Method Detail

### getMatchFields

    public java.lang.Object[] getMatchFields(EnterpriseObject obj)
                                      throws ObjectException,
                                             EPathException,
                                             java.lang.InstantiationException

  Retrieves the match fields from an Enterprise Object.

  Parameters:
    `obj` - Enterprise Object
  Returns:
    array of values for the match fields
  Throws:
    `ObjectException` - object access exception
    `EPathException` - epath API exception
    `java.lang.InstantiationException` - instantiation exception

### getObjectKeys

    public void getObjectKeys(EnterpriseObject obj)
                       throws ObjectException,
                              EPathException,
                              java.lang.InstantiationException

  Retrieves all object keys for an Enterprise Object. This is done only once.

  Parameters:
    `obj` - Enterprise Object
  Returns:
    array of values for the match fields
  Throws:
    `ObjectException` - object access exception
    `EPathException` - epath API exception
    `java.lang.InstantiationException` - instantiation exception

### isMatchFieldChanged

    public boolean isMatchFieldChanged(java.lang.Object[] obj1,
                                       java.lang.Object[] obj2)
                                throws ObjectException,
                                       EPathException,
                                       java.lang.InstantiationException

  Determine if a match field has changed in two enterprise objects

  Parameters:
    `obj1` - match fields from enterprise object 1
    `obj2` - match fields from enterprise object 2
  Returns:
    true if match field has changed
  Throws:
    `ObjectException` - object access exception
    `EPathException` - epath API exception
    `java.lang.InstantiationException` - matching config could not be loaded

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.